Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ClientProtocolPolicy_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::ClientProtocolPolicy_out:

[legend]
List of all members.

## Public Methods
| ClientProtocolPolicy_out (ClientProtocolPolicy_ptr &)
| ClientProtocolPolicy_out (ClientProtocolPolicy_var &)
| ClientProtocolPolicy_out (const ClientProtocolPolicy_out &)
ClientProtocolPolicy_out & | operator= (const ClientProtocolPolicy_out &)
ClientProtocolPolicy_out & | operator= (const ClientProtocolPolicy_var &)
ClientProtocolPolicy_out & | operator= (ClientProtocolPolicy_ptr)
| operator ClientProtocolPolicy_ptr & ()
ClientProtocolPolicy_ptr & | ptr (void)
ClientProtocolPolicy_ptr | operator-> (void)
## Private Attributes
ClientProtocolPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::ClientProtocolPolicy_out::ClientProtocolPolicy_out | ( | ClientProtocolPolicy_ptr & |  | ) |

RTCORBA::ClientProtocolPolicy_out::ClientProtocolPolicy_out | ( | ClientProtocolPolicy_var & |  | ) |

RTCORBA::ClientProtocolPolicy_out::ClientProtocolPolicy_out | ( | const ClientProtocolPolicy_out & |  | ) |

## Member Function Documentation

RTCORBA::ClientProtocolPolicy_out::operator ClientProtocolPolicy_ptr & | ( |  | ) |

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_out::operator-> | ( | void |  | ) |

ClientProtocolPolicy_out& RTCORBA::ClientProtocolPolicy_out::operator= | ( | ClientProtocolPolicy_ptr |  | ) |

ClientProtocolPolicy_out& RTCORBA::ClientProtocolPolicy_out::operator= | ( | const ClientProtocolPolicy_var & |  | ) |

ClientProtocolPolicy_out& RTCORBA::ClientProtocolPolicy_out::operator= | ( | const ClientProtocolPolicy_out & |  | ) |

ClientProtocolPolicy_ptr& RTCORBA::ClientProtocolPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

ClientProtocolPolicy_ptr& RTCORBA::ClientProtocolPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h